{
  "name": "app",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@material-ui/core": "^4.11.0",
    "@material-ui/icons": "^4.9.1",
    "@material-ui/lab": "^4.0.0-alpha.56",
    "@material-ui/pickers": "^3.2.10",
    "@testing-library/jest-dom": "^4.2.4",
    "@testing-library/react": "^9.3.2",
    "@testing-library/user-event": "^7.1.2",
    "clsx": "^1.1.1",
    "connected-react-router": "^6.8.0",
    "cross-env": "^7.0.2",
    "eslint-plugin-jsx-a11y": "^6.3.1",
    "formik": "^2.1.5",
    "history": "^4.10.1",
    "husky": "^4.3.0",
    "immer": "^7.0.9",
    "prop-types": "^15.7.2",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-redux": "^7.2.1",
    "react-router": "^5.2.0",
    "react-router-dom": "^5.2.0",
    "react-scripts": "3.4.3",
    "redux": "^4.0.5",
    "redux-persist": "^6.0.0",
    "redux-saga": "^1.1.3",
    "styled-components": "^5.2.0",
    "yup": "^0.29.3"
  },
  "scripts": {
    "start": "cross-env REACT_APP_ENV=development react-scripts start",
    "build": "cross-env REACT_APP_ENV=production react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "lint": "eslint --ext .js,.jsx src --color",
    "format": "prettier --write \"src/**/*.{js,jsx,scss,css,json}\""
  },
  "husky": {
    "hooks": {
      "pre-commit": "yarn run format && yarn run lint"
    }
  },
  "lint-staged": {
    "src/**/*.{js,jsx,json,css,scss,md}": [
      "prettier --write"
    ]
  },
  "eslintConfig": {
    "extends": ".env react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "babel-eslint": "^10.1.0",
    "eslint-config-airbnb": "^18.2.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-import": "^2.22.0",
    "eslint-plugin-react": "^7.20.6",
    "prettier": "^2.1.1",
    "pretty-quick": "^3.0.2"
  }
}
